# Standards: 0.11
---

# 7.5.3 - Ensure RDS is disabled

- name: 7.5.3 - Check if CIS modprobe configuration file exists
  stat:
    path: "{{ cis_modprobe_conf_filename }}"
  register: modprobe_7_5_3
  tags:
    - level-1
    - section-7
    - "7.5.3"
    - not-scored

- name: 7.5.3 - Ensure RDS is disabled
  copy:
    dest: "{{ cis_modprobe_conf_filename }}"
    content: "install rds /bin/true\n"
  when: modprobe_7_5_3.stat.exists is not defined or not modprobe_7_5_3.stat.exists
  tags:
    - level-1
    - section-7
    - "7.5.3"
    - not-scored

- name: 7.5.3 - Ensure RDS is disabled
  lineinfile:
    dest: "{{ cis_modprobe_conf_filename }}"
    regexp: "^install rds\\s+"
    line: "install rds /bin/true"
  when: modprobe_7_5_3.stat.exists is defined and modprobe_7_5_3.stat.exists
  tags:
    - level-1
    - section-7
    - "7.5.3"
    - not-scored